Skip to main content
PATCH
/
phone-numbers
/
{phone_number_id}
Update Phone Number
curl --request PATCH \
  --url https://api.staging.kathan.tech/phone-numbers/{phone_number_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-User-ID: <api-key>' \
  --data '
{
  "label": "<string>",
  "assistant_id": "<string>"
}
'
{
  "id": "<string>",
  "provider": "<string>",
  "phone_number": "<string>",
  "status": "<string>",
  "label": "<string>",
  "created_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication.

X-User-ID
string
header
required

Required user id for API key requests.

Path Parameters

phone_number_id
string
required

Body

application/json
label
string | null

Update the label

assistant_id
string | null

Link this phone number to an assistant

Response

Successful Response

id
string
required
provider
string
required
phone_number
string
required
status
string
required
label
string | null
created_at
string | null